This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 129144 - Separate Commits for main objects and child objects
Summary: Separate Commits for main objects and child objects
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D (Show other bugs)
(Show other bugs)
Version: RHN Devel
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ryan Bloom
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: rhnMilestone1
TreeView+ depends on / blocked
 
Reported: 2004-08-04 14:11 UTC by Ryan Bloom
Modified: 2007-04-18 17:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-07 17:37:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ryan Bloom 2004-08-04 14:11:34 UTC
The new rules that we need to conform to:

A commit always saves 1 and only 1 object.
A lookup always loads the requested object (if available) and may also
load other objects for performance reasons.

Basically, calling commit on the UserFactory should only commit the
User, not the User's addresses or any other business object in the
User.  Calling addRole on a User should update the roles in the DB
directly, not rely on calling commit to do so.  This is the model we
will follow everywhere.

Comment 1 Ryan Bloom 2004-09-07 17:37:56 UTC
This has been done now.  This was done for two reasons:  1)  To follow
our proscribed model, and 2) for performance reasons.


Note You need to log in before you can comment on or make changes to this bug.